Subject: GSP 670, PC, Disconnecting frequently
From: EPOS Global Support <[email-masked]>
Cc: Daniele Castiglioni <[email-masked]>
Date: Thu, 08 Jul 2021 14:10:31 +0000

You are registered as a CC on this support request (146289). Reply to this email to add a comment to the request.

----------------------------------------------

Sean Phillips, Jul 8, 2021, 14:10 UTC

Hi Danielle,

I will be returning it. I have been commuting 2 hours everyday so it has been slipping my mind. I’ll try to get it done this week.

Thanks,

Sean

----------------------------------------------

Daniele Castiglioni, Jul 8, 2021, 10:06 UTC (private)

**_NEXT ACTION_**

**What**: Checking if customer will return the faulty - SLTR
**Who**: Sean
**When**: 14/07/2021​

----------------------------------------------

Daniele Castiglioni, Jul 8, 2021, 10:05 UTC

Dear Sean,

Please let us know if you will return the faulty unit in order to proceed with the warranty request. If not, I will close the current ticket.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

----------------------------------------------

Daniele Castiglioni, Jul 1, 2021, 6:08 UTC (private)

**_NEXT ACTION_**

**What**: New return label sent 1Z8760F39091525210 - SLTR
**Who**: Sean
**When**: 09/07/2021​

----------------------------------------------

Daniele Castiglioni, Jul 1, 2021, 6:08 UTC

Dear Sean,

I am sending a new pre-paid UPS return label attached to this email. Please follow the instructions on the label and return the faulty product to us within seven days.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
146289.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/YcMFlDQUCT2HM3DMpY50Ag1He/?name=146289.pdf

----------------------------------------------

AJ Hurry, Jun 30, 2021, 21:32 UTC (private)

**Daniele Castiglioni**​ Customer will return the HS, please send him a new label

----------------------------------------------

AJ Hurry, Jun 30, 2021, 21:31 UTC (private)

Total Duration 90
Disposition : Successful Call
Description:    
URL:

----------------------------------------------

Daniele Castiglioni, Jun 29, 2021, 8:43 UTC (private)

**AJ Hurry**​ Please call customer to check if he will return the faulty. I will then send a new UPS return label to customer.

----------------------------------------------

Daniele Castiglioni, Jun 22, 2021, 11:59 UTC (private)

**_NEXT ACTION_**

**What**: New return label sent - SLTR
**Who**: Sean
**When**: 29/06/2021​

----------------------------------------------

Daniele Castiglioni, Jun 22, 2021, 11:58 UTC

Dear Sean,

Please note that the defective product needs to be returned first, before a replacement can be ordered.

We are sending a pre-paid UPS return label attached to this email. Please follow the instructions on the label and return the faulty product to us within seven days.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
146289.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/oKW04J2eMoT9BkQ9TE829Mfd2/?name=146289.pdf

----------------------------------------------

Daniele Castiglioni, Jun 11, 2021, 9:38 UTC (private)

**_NEXT ACTION_**

**What**: Return label sent 1Z8760F39032027922 - SLTR
**Who**: Sean
**When**: 18/06/2021​

----------------------------------------------

Daniele Castiglioni, Jun 11, 2021, 9:37 UTC

Dear Sean,

We are sending a pre-paid UPS return label attached to this email. Please follow the instructions on the label and return the faulty product to us within seven days.

We wish you a nice day!

Best regards,
**Daniele Castiglioni
EPOS Global Support**

Attachment(s):
146289.pdf - https://eposaudio-gaming.zendesk.com/attachments/token/P5arNmz3IjxCcjzgaGdvW9IoS/?name=146289.pdf

----------------------------------------------

AJ Hurry, Jun 9, 2021, 20:05 UTC

Dear Sean,

Thank you for the information. We are processing the request and will send you a return label for returning the faulty product (GSP 670, article number 1000233).

We wish you a nice day!

Best regards,
AJ Hurry
EPOS Global Support

----------------------------------------------

Sean Phillips, Jun 9, 2021, 18:32 UTC

My name is Sean Phillips.
My address is

429 Ely Blvd S, Petaluma, CA 94954

United States.

--

----------------------------------------------

Pritish Nandi, Jun 7, 2021, 3:22 UTC (private)

Please handle Pradeep's tickets

----------------------------------------------

Pradeep Verma, Jun 4, 2021, 23:47 UTC (private)

**_NEXT ACTION_**

**What**: shipping address
**Who**: Sean
**When**: 09/06/2021

----------------------------------------------

Pradeep Verma, Jun 4, 2021, 23:47 UTC

Dear Sean,

I hope you are doing great!

This is a follow-up email in reference to your ticket 146289

Did you get a chance to check my previous email? For your convenience, I have added the email below:

Could you please provide us with the following information before we can proceed with the replacement process.

Company:
Name:
Phone:
E-mail:
Address line 1:
Address line 2:
City:
State/Province:
Zip Code:
Country:

Please note that in accordance with the warranty terms the defective product needs to be returned and inspected first, before a replacement can be ordered. We will send you further instructions regarding the returning later.

Looking forward to your reply soon.

Have a nice day ahead.

Kind Regards,
Pradeep,
EPOS Global Support

----------------------------------------------

Pradeep Verma, Jun 3, 2021, 18:58 UTC (private)

Total Duration 51
Disposition : Successful Call
Description:  146289 called the customer and left VM  
URL:

----------------------------------------------

Pradeep Verma, Jun 2, 2021, 21:42 UTC (private)

**_NEXT ACTION_**

**What**: sent follow up email, waiting for customer response
**Who**: Sean
**When**:  07/06/2021

----------------------------------------------

Pradeep Verma, Jun 2, 2021, 21:41 UTC

Dear Sean,

We would like to refer to your **support ticket number 146289** which you have requested with us on 29/04/2021.

Since our last correspondence, we have not received your response yet and would like to follow up with you. Please let us know if you have any further questions or concerns, we would appreciate a quick reply on your side.

If you do not have any more question, you can reply to this message and I will close your ticket. I really want to make sure you are all right before doing so!

Looking forward to your reply soon.

We wish you a nice day!

Kind regards,
Pradeep,
EPOS Global Support

----------------------------------------------

Pradeep Verma, May 28, 2021, 19:46 UTC (private)

**_NEXT ACTION_**

**What**: shipping address
**Who**: Sean
**When**: 02/06/2021

----------------------------------------------

Pradeep Verma, May 28, 2021, 19:46 UTC

Dear Sean,

Could you please provide us with the following information before we can proceed with the replacement process.

Company:
Name:
Phone:
E-mail:
Address line 1:
Address line 2:
City:
State/Province:
Zip Code:
Country:

Please note that in accordance with the warranty terms the defective product needs to be returned and inspected first, before a replacement can be ordered. We will send you further instructions regarding the returning later.

Looking forward to your reply soon.

Have a nice day ahead.

Kind Regards,
Pradeep,
EPOS Global Support

----------------------------------------------

Pritish Nandi, May 28, 2021, 7:39 UTC (private)

RMA approved for GSP 670 as SLTR

----------------------------------------------

Pradeep Verma, May 27, 2021, 20:47 UTC (private)

**_NEXT ACTION_**
**What**: Request sent to L2
**Who**: L2
**When**: 01/06/2021

----------------------------------------------

Pradeep Verma, May 27, 2021, 20:45 UTC

Dear Sean,

Your request is currently being processed and we will be coming back to you shortly. In the meantime, should you have any questions feel free to reply to this email.

Please do not hesitate to contact us if you have any further questions. You can reach us by answering to this email or by calling us directly from Monday to Friday between 8 AM to 5 PM on our support number 1 800 895 7412

We wish you a nice day!

Best regards,
Pradeep
EPOS Global Support

----------------------------------------------

Pradeep Verma, May 27, 2021, 20:43 UTC (private)

**_CASE SUMMARY_**

**Contact person**: Sean Phillips
**Email**: [email-masked]
**Product name**: GSP 670
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: PC
**Issue**: Disconnecting frequently
**Current status**:
- GSP 670, PC, Disconnecting frequently
- tested with different ports and devices
- tested with dongle as well as usb cable
- reinstalled drivers
- reset both devices
- selected as default device
- whenever connects gets low volume issue
- did not drop or received any shock
- do not have any third party devices or audio software
- running win 10 v20H2​
- ordered on Jan 21, 2021 through amazon
- running EGS v1.6
- reinstalled EGS and drivers with USBDeview no avail

- looking for replacement

Attachment(s):
Screenshot 2021-05-18 161406.png - https://eposaudio-gaming.zendesk.com/attachments/token/xNxJDQv5K0nuBsCDGfjKxMpuL/?name=Screenshot+2021-05-18+161406.pngScreenshot 2021-05-18 163052.png - https://eposaudio-gaming.zendesk.com/attachments/token/0IAJeBXcSjiez9MDKsxhJuZK1/?name=Screenshot+2021-05-18+163052.pngScreenshot 2021-05-18 163508.png - https://eposaudio-gaming.zendesk.com/attachments/token/KHE3utw6f4bX9mkIwRnvtUQEN/?name=Screenshot+2021-05-18+163508.pngunnamed (1).jpg - https://eposaudio-gaming.zendesk.com/attachments/token/naPec52XNZyPs7YKsj1UOu4TR/?name=unnamed+%281%29.jpgunnamed (2).jpg - https://eposaudio-gaming.zendesk.com/attachments/token/bkf7Fl54zclvJClEk3XgMReVq/?name=unnamed+%282%29.jpg

----------------------------------------------

Sean Phillips, May 27, 2021, 17:25 UTC

Hi Pradeep. I am NOT getting a replacement, I am asking EPOS to send me a replacement. Thank you. I have gone through your troubleshooting time and time again, and I am very dissatisfied with this process.

Thank you,

Sean

--

----------------------------------------------

Pradeep Verma, May 27, 2021, 0:23 UTC (private)

**_NEXT ACTION_**

**What**: need to confirm if he is getting replacement through reseller or not
**Who**: Sean
**When**: 31/05/2021

----------------------------------------------

Pradeep Verma, May 27, 2021, 0:22 UTC

Dear Sean,

Thanks for sharing your feedback.

We’re sorry your experience didn’t match your expectations. It was an uncommon instance and we’ll do better.

Could you please confirm if you are getting replacement from your reseller as you have mentioned in your response? or is there anything else, I can help you with?

However, we always aim to deliver a great experience. We are gutted when we miss the mark. We will use the feedback to make us better and to ensure this doesn’t happen again.

Once again, we sincerely apologize for the inconvenience caused to you. If you do not have any more question, you can reply to this message and I will close your ticket. I really want to make sure you are all right before doing so!

Looking forward to your reply soon.

We wish you a nice day!

Kind regards,
Pradeep,
EPOS Global Support

----------------------------------------------

Sean Phillips, May 25, 2021, 20:22 UTC

Pradeep,

I am willing to send it abc to get a new one. Thank you,

Sean Phillips

--

----------------------------------------------

Pradeep Verma, May 25, 2021, 19:55 UTC (private)

**_GAMING CLOSING STATEMENT_**

**Product name**: GSP 670
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: PC
**Issue**: Disconnecting frequently

**Problem**: GSP 670, PC, Disconnecting frequently
**Attempted Solution**: diagnostic instructions Provided

* * *

**_Closing case as customer is unresponsive_**

----------------------------------------------

Pradeep Verma, May 25, 2021, 19:54 UTC

Dear Sean,

We're writing to you today with regard to the case 146289 you opened with us on Apr 29.

We have attempted now on several occasions to get in touch with you to find out if we can provide you with any further assistance or support, and as we have unfortunately not received a response, we will be proceeding to close this ticket in our system.

Please rest assured that should this have occurred in error, or should you at any time in the future require further assistance or have any questions, you can simply reply to this email, or reach us by phone from Monday to Friday between 8 AM to 5 PM on our support number 1 631 533 9810

We wish you a nice day!

Best regards,
Pradeep
EPOS Global Support

----------------------------------------------

Pradeep Verma, May 25, 2021, 19:53 UTC (private)

Total Duration 61
Disposition : Successful Call
Description:  146289 called the customer , left VM  
URL:

----------------------------------------------

Pradeep Verma, May 22, 2021, 17:23 UTC (private)

**_NEXT ACTION_**

**What**: follow up email sent
**Who**: Sean
**When**: 26/05/2021

----------------------------------------------

Pradeep Verma, May 22, 2021, 17:22 UTC

Dear Sean,

We would like to refer to your **support ticket number 146289** which you have requested with us on 29/04/2021.

Since our last correspondence, we have not received your response yet and would like to follow up with you. Please let us know if you have any further questions or concerns, we would appreciate a quick reply on your side.

We wish you a nice day!

Best regards,
Pradeep
EPOS Global Support

----------------------------------------------

Pradeep Verma, May 19, 2021, 16:31 UTC (private)

**_NEXT ACTION_**

**What**:
diagnostic instructions provided

**Who**: Sean
**When**: 24/05/2021

----------------------------------------------

Pradeep Verma, May 19, 2021, 16:29 UTC

Dear Sean,

Thanks for sharing your feedback.

We’re sorry your experience didn’t match your expectations. It was an uncommon instance and we’ll do better. However, we would like to inform you that we have demerged from Sennheiser last year and this change does not affect your product or it's quality.

In order to further diagnose this issue, we request you to please confirm few details as follows:

1.  Please install the gaming suite again.
  1. First uninstall it from computer completely. Go to Control Panel\Programs\Programs and Features then search and uninstall the EPOS Gaming Suite.
  2. Then remove associated files/folders (Sennheiser and EPOS files and folders) from C:\Program Files, C:\Program Files (x86) and C:\ProgramData
  3. Restart your computer.
  4. Then reinstall it from here: https://epi.eposaudio.com/globalassets/_gaming_media/gaming-suite/epos-gaming-suite.zip
  5. After that check for updates (if available).
  6. Please enable "show on startup" option available in Gaming Suite.
  7. Make sure EPOS Gaming Suite is enabled in start up program in task manager.
  8. Make sure EposGamingSuiteService is in running state under task manager services.

2. Please try uninstalling any (unused) drivers using attached tool USBDeview. Unplug dongle; Extract the tool; double-click USBDeview (Application); you will get a list of installed drivers.

The ones in use are denoted in green. It is best if you uninstall all the drivers that are not in use, but if you want to be cautious just right-click on all the USB audio and USB composite devices that are not highlighted in green and of course the GSA 70, GSP 670 drivers; then select 'uninstall selected devices'.

Then remove the device, restart the computer and reconnect the headset. Then select as default audio device and check, if it works fine. Looking forward to your reply soon.

Have a nice day ahead.

Kind Regards,
Pradeep,
EPOS Global Support

Attachment(s):
usbdeview-x64.zip - https://eposaudio-gaming.zendesk.com/attachments/token/Z1VPACQV2S2tUhbwvcEDC8o7Z/?name=usbdeview-x64.zip

----------------------------------------------

Pradeep Verma, May 19, 2021, 16:17 UTC (private)

**Current status**:
- GSP 670, PC, Disconnecting frequently
- tested with different ports and devices
- tested with dongle as well as usb cable
- reinstalled drivers
- reset both devices
- selected as default device
- when connected shows low volume issue
- did not drop or received any shock
- do not have any third party devices or audio software
- ![](https://eposaudio.zendesk.com/attachments/token/LGT9DlRERyovo1lOXJ5Ffk5k9/?name=inline1601831582.png)​
- ordered on Jan 21, 2021 through amazon
-  ![](https://eposaudio.zendesk.com/attachments/token/oS1YKbnYNIhnVye2Afz1tNxxv/?name=inline-1516521193.png)​

----------------------------------------------

Sean Phillips, May 19, 2021, 1:26 UTC

Hi Pradeep,

Thank you for following up with me.

I am listing all my responses, as well as screenshots for your records. I do not have amy third party devices or audio software other than epos gaming suite. I felt that Sennheiser was a great company, and nothing would be better than their technology.

The serial number seems to be: a00272 02031 14284. I'm attaching pictures as well.

Thank you for your help,

Sean Phillips,

408-656-2839

--

Attachment(s):
Screenshot 2021-05-18 161406.png - https://eposaudio-gaming.zendesk.com/attachments/token/vilbwySiEEv76jWQA9pdDnnMB/?name=Screenshot+2021-05-18+161406.pngScreenshot 2021-05-18 163508.png - https://eposaudio-gaming.zendesk.com/attachments/token/nP5V1Lgx3NVpoB9Cbcxb5OIIw/?name=Screenshot+2021-05-18+163508.pngScreenshot 2021-05-18 163052.png - https://eposaudio-gaming.zendesk.com/attachments/token/oIqjNAEBiOW5e9RcCd9guGe7M/?name=Screenshot+2021-05-18+163052.pngunnamed (2).jpg - https://eposaudio-gaming.zendesk.com/attachments/token/mPZ1yJ4hdk2NhEYPqqmtlYppY/?name=unnamed+%282%29.jpgunnamed (1).jpg - https://eposaudio-gaming.zendesk.com/attachments/token/iMuxbAA7nvq3Lv5grFG7012HK/?name=unnamed+%281%29.jpg

----------------------------------------------

Pradeep Verma, May 17, 2021, 22:01 UTC (private)

**_NEXT ACTION_**
**What**: need to follow the instructions
**Who**: Sean
**When**: 20/05/2021

----------------------------------------------

Pradeep Verma, May 17, 2021, 22:00 UTC

Dear Sean,

Thank you for answering my call.

As discussed on call, please take your time and reply us back with all required information.

Looking forward to your reply soon.

Have a nice day ahead.

Kind Regards,
Pradeep,
EPOS Global Support

----------------------------------------------

Pradeep Verma, May 17, 2021, 21:59 UTC (private)

Total Duration 103
Disposition : Successful Call
Description:  146289 c alled the customer , he said that he will reply by tomorrow  
URL:

----------------------------------------------

Pradeep Verma, May 12, 2021, 21:20 UTC (private)

**_NEXT ACTION_**

**What**: needs to follow the instructions mentioned
**Who**: Sean
**When**: 17/05/2021

----------------------------------------------

Pradeep Verma, May 12, 2021, 21:17 UTC

Dear Sean,

I hope you are doing great!

This is a follow-up email in reference to your ticket 146289

Did you get a chance to check my previous email? For your convenience, I have added the email below:

In order to further diagnose this issue, we request you to please confirm few details as follows:

1. Press Windows+R ; Type "winver" in Run and hit enter. Please take a screenshot and share it with us.

2. Do you use any third party device? We don't support the use of third-party devices with our gaming headsets. They can interfere with communication between gaming headsets and computer. Unsupported third-party devices include: KVM switch boxes, Port replicators, Docking stations, USB hubs etc.

3. Do you have any other audio software installed? If so, please uninstall as these might interfere with sound.

4. Please share screenshot of the gaming suite ( showing firmware and software version details ).

5. Please share the picture of the serial number. (Please remove the left and right ear pads and take a picture of the cups where you can see the serial numbers on the right ear cup and other details like IC, CAN number, model type on the left ear cup)

6. Proof of purchase (refer attachment) in PDF format

Looking forward to your reply soon.

Have a nice day ahead.

Kind Regards,
Pradeep,
EPOS Global Support

Attachment(s):
Amazon.docx - https://eposaudio-gaming.zendesk.com/attachments/token/HgK84e2AJES0bJ4xxscm7JN4n/?name=Amazon.docx

----------------------------------------------

Pradeep Verma, May 7, 2021, 20:22 UTC (private)

**_NEXT ACTION_**

**What**: needs to follow the instructions mentioned in previous email
**Who**: Sean
**When**: 12/05/2021

----------------------------------------------

Pradeep Verma, May 7, 2021, 20:18 UTC

Dear Sean,

Thank you for being on call.

As discussed on call, please take your time and reply us back with the required information.

Looking forward to your reply soon.

Have a nice day ahead.

Kind Regards,
Pradeep,
EPOS Global Support

----------------------------------------------

Pradeep Verma, May 7, 2021, 20:16 UTC (private)

Total Duration 76
Disposition : Successful Call
Description:  146289 called the customer , he said that he was busy and he will reply us back by weekend  
URL:

----------------------------------------------

Pradeep Verma, May 4, 2021, 19:13 UTC (private)

**_NEXT ACTION_**

**What**: sent follow up email, waiting for customer response
**Who**: Sean
**When**: 07/05/2021

----------------------------------------------

Pradeep Verma, May 4, 2021, 19:12 UTC

Dear Sean,

We would like to refer to your **support ticket number 146289** which you have requested with us on 29/04/2021.

Since our last correspondence, we have not received your response yet and would like to follow up with you. Please let us know if you have any further questions or concerns, we would appreciate a quick reply on your side.

If you do not have any more question, you can reply to this message and I will close your ticket. I really want to make sure you are all right before doing so!

Looking forward to your reply soon.

We wish you a nice day!

Kind regards,
Pradeep,
EPOS Global Support

----------------------------------------------

Pradeep Verma, Apr 29, 2021, 18:13 UTC (private)

**_NEXT ACTION_**

**What**: diagnostic instructions provided
**Who**: Sean
**When**: 04/05/2021

----------------------------------------------

Pradeep Verma, Apr 29, 2021, 18:12 UTC

Dear Sean,

Thank you for contacting EPOS Global Support. For your convenience we have created **support ticket number 146289** for your inquiry.

We are sorry to hear that you are experiencing problems with GSP 670

In order to further diagnose this issue, we request you to please confirm few details as follows:

1. Press Windows+R ; Type "winver" in Run and hit enter. Please take a screenshot and share it with us.

2. Do you use any third party device? We don't support the use of third-party devices with our gaming headsets. They can interfere with communication between gaming headsets and computer. Unsupported third-party devices include: KVM switch boxes, Port replicators, Docking stations, USB hubs etc.

3. Do you have any other audio software installed? If so, please uninstall as these might interfere with sound.

4. Please share screenshot of the gaming suite ( showing firmware and software version details ).

5. Please share the picture of the serial number.

(Please remove the left and right ear pads and take a picture of the cups where you can see the serial numbers on the right ear cup and other details like IC, CAN number, model type on the left ear cup)

6. Proof of purchase (refer attachment) in PDF format

Looking forward to your reply soon.

Have a nice day ahead.

Kind Regards,
Pradeep,
EPOS Global Support

Attachment(s):
Amazon.docx - https://eposaudio-gaming.zendesk.com/attachments/token/vsB9wlzApYVhiYGKxI72v6AxJ/?name=Amazon.docx

----------------------------------------------

Pradeep Verma, Apr 29, 2021, 18:07 UTC (private)

-
**_CASE SUMMARY_**

**Contact person**: Sean Phillips
**Email**: [email-masked]
**Product name**: GSP 670
**Number of Products**: 1
**Sales Opportunity Size in Headsets**: 0
**Environment**: PC
**Issue**: Disconnecting frequently
**Current status**:
- GSP 670, PC, Disconnecting frequently
- tested with different ports and devices
- tested with dongle as well as usb cable
- reinstalled drivers
- reset both devices
- selected as default device
- when connected shows low volume issue
- did not drop or received any shock

----------------------------------------------

Pradeep Verma, Apr 29, 2021, 18:04 UTC (private)

Disposition: Successful Call
Recording URL: 
Call duration: 718
Description: 146289 customer called in through amazon , GSP 670, PC, Disconnecting frequently

----------------------------------------------

Pradeep Verma, Apr 29, 2021, 17:50 UTC (private)

ring group :agents,us_gaming,english_gaming
contact number :  +18605779120
duration : 
status :

--------------------------------
This email is a service from EPOS Gaming.

[XGGMX2-RKEW]